uk.gov.hmrc.time

# DateConverter

###
Related Docs: trait DateConverter | package time

#### object DateConverter extends DateConverter

Linear Supertypes
DateConverter, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DateConverter
2. DateConverter
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### lazy val dateFormatter: DateTimeFormatter

   Definition Classes
     DateConverter

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def formatToString(date: LocalDate): String

    Definition Classes
      DateConverter

11. #### final def formatToString(date: DateTime): String

    Definition Classes
      DateConverter

12. #### final def formatToString(date: Long): String

    Definition Classes
      DateConverter

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def parseToDateTime(date: String): DateTime

    Definition Classes
      DateConverter

20. #### final def parseToLocalDate(date: String): LocalDate

    Definition Classes
      DateConverter

21. #### final def parseToLong(date: String): Long

    Definition Classes
      DateConverter

22. #### final def safeParse[A](f: ⇒ A)(t: ⇒ Throwable): A

    Definition Classes
      DateConverter

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from DateConverter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped